Travis CI configuration for meteor packages

Sep 20, 2016

Add a .travis.yml file in the meteor package repo to configure Travis CI for testing that package.

language: node_js
node_js:
  - "0.10"
sudo: required
before_install:
  - "curl -L http://git.io/ejPSng | /bin/sh"

Note, sudo: required is required for new packages. Older packages don't need this because they run on a 'legacy' infrastructure supplied by the Travis CI system. A discussion on the meteor forum can be found here.

Acknowledgements: Most of the code comes from MeteorJS community member Arunoda's post on adding travis support.